DCMTK: DcmQuantIdent Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DcmQuantIdent Class Reference

pseudo error diffusion class implementing an identity transformation. More...

## Public Member Functions
| DcmQuantIdent (unsigned long cols)
| constructor
| ~DcmQuantIdent ()
| destructor
void | adjust (DcmQuantPixel &, long, long)
| dummy method needed for API compatibility with DcmQuantFloydSteinberg
void | propagate (const DcmQuantPixel &, const DcmQuantPixel &, long)
| dummy method needed for API compatibility with DcmQuantFloydSteinberg
void | startRow (long &col, long &limitcol)
| starts a new row.
void | finishRow ()
| dummy method needed for API compatibility with DcmQuantFloydSteinberg
void | nextCol (long &col) const
| increases the column number

## Private Attributes
unsigned long | columns
| number of columns in image

## Detailed Description

pseudo error diffusion class implementing an identity transformation.

This class implements a public API mostly identical to that of class DcmQuantFloydSteinberg. Since several methods of the error diffusion class are called for each single image pixel during conversion of a color image to palette color, we do not use virtual methods and a common abstract base class here. Instead we implement all methods inline, and use a template to select the appropriate class at compile time. With a decent optimizer this reduces the overhead for using this class to zero.

## Member Function Documentation

## ◆ nextCol()

void DcmQuantIdent::nextCol | ( | long & | col | ) | const
| inline

increases the column number

Parameters

  col | column number

## ◆ startRow()

void DcmQuantIdent::startRow | ( | long & | col,
|  | long & | limitcol )
| inline

starts a new row.

The initial and last column of the current row are determined.

Parameters

  col | initial column for the current row returned in this parameter
  limitcol | limit column (one past the last valid column) for the current row returned in this parameter.

References columns.

The documentation for this class was generated from the following file:

- dcmimage/include/dcmtk/dcmimage/diqtid.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1